From 53b17f6b1d4f82cbdd61505599faac11a7e3ae34 Mon Sep 17 00:00:00 2001
From: travankor <travankor@tuta.io>
Date: Tue, 25 Jun 2019 17:31:02 -0700
Subject: [PATCH] New package: magic-wormhole-0.11.2

---
 srcpkgs/magic-wormhole/template   | 21 +++++++++++++++++++++
 srcpkgs/python3-autobahn/template | 20 ++++++++++++++++++++
 srcpkgs/python3-hkdf/template     | 18 ++++++++++++++++++
 srcpkgs/python3-spake2/template   | 19 +++++++++++++++++++
 srcpkgs/python3-txaio/template    | 18 ++++++++++++++++++
 srcpkgs/python3-txtorcon/template | 19 +++++++++++++++++++
 6 files changed, 115 insertions(+)
 create mode 100644 srcpkgs/magic-wormhole/template
 create mode 100644 srcpkgs/python3-autobahn/template
 create mode 100644 srcpkgs/python3-hkdf/template
 create mode 100644 srcpkgs/python3-spake2/template
 create mode 100644 srcpkgs/python3-txaio/template
 create mode 100644 srcpkgs/python3-txtorcon/template

diff --git a/srcpkgs/magic-wormhole/template b/srcpkgs/magic-wormhole/template
new file mode 100644
index 00000000000..fb7e639c67a
--- /dev/null
+++ b/srcpkgs/magic-wormhole/template
@@ -0,0 +1,21 @@
+# Template file for 'magic-wormhole'
+pkgname=magic-wormhole
+version=0.11.2
+revision=1
+archs=noarch
+build_style=python3-module
+pycompile_module="wormhole"
+hostmakedepends="python3"
+depends="python3-click python3-cffi python3-tqdm python3-pynacl python3-humanize
+ python3-idna python3-autobahn python3-service_identity python3-spake2
+ python3-txtorcon"
+short_desc="Get things from one computer to another, safely"
+maintainer="travankor <travankor@tuta.io>"
+license="MIT"
+homepage="https://magic-wormhole.readthedocs.io/en/latest/"
+distfiles="https://github.com/warner/${pkgname}/archive/${version}.tar.gz"
+checksum=55fd24b8c148d0f2c12160040dd061a5749bcda269adf97de6a697c9416c1052
+
+post-install() {
+	vlicense LICENSE
+}
diff --git a/srcpkgs/python3-autobahn/template b/srcpkgs/python3-autobahn/template
new file mode 100644
index 00000000000..3d1f6146180
--- /dev/null
+++ b/srcpkgs/python3-autobahn/template
@@ -0,0 +1,20 @@
+# Template file for 'python3-autobahn'
+pkgname=python3-autobahn
+version=19.6.2
+revision=1
+archs=noarch
+wrksrc=autobahn-${version}
+build_style=python3-module
+pycompile_module="wamp"
+hostmakedepends="python3"
+depends="python3-cffi python3-Twisted python3-six python3-cryptography python3-txaio"
+short_desc="Real-time framework for Web, Mobile & Internet of Things"
+maintainer="travankor <travankor@tuta.io>"
+license="MIT"
+homepage="https://crossbar.io/autobahn"
+distfiles="https://files.pythonhosted.org/packages/source/a/autobahn/autobahn-${version}.tar.gz"
+checksum=48c2d737d33cfe1d37124db984577c5d4f44e116d05a9f8b6505721413ff9b22
+
+post-install() {
+	vlicense LICENSE
+}
diff --git a/srcpkgs/python3-hkdf/template b/srcpkgs/python3-hkdf/template
new file mode 100644
index 00000000000..96949a2a224
--- /dev/null
+++ b/srcpkgs/python3-hkdf/template
@@ -0,0 +1,18 @@
+# Template file for 'python3-hkdf'
+pkgname=python3-hkdf
+version=0.0.3
+revision=1
+archs=noarch
+wrksrc=hkdf-${version}
+build_style=python3-module
+hostmakedepends="python3"
+short_desc="HMAC Key Derivation module"
+maintainer="travankor <travankor@tuta.io>"
+license="BSD-2-Clause"
+homepage="https://pypi.org/project/hkdf/"
+distfiles="${PYPYI_SITE}/c3/be/327e072850db181ce56afd51e26ec7aa5659b18466c709fa5ea2548c935f/hkdf-${version}.tar.gz"
+checksum=622a31c634bc185581530a4b44ffb731ed208acf4614f9c795bdd70e77991dca
+
+post-install() {
+	vlicense LICENSE
+}
diff --git a/srcpkgs/python3-spake2/template b/srcpkgs/python3-spake2/template
new file mode 100644
index 00000000000..9dd1f72995d
--- /dev/null
+++ b/srcpkgs/python3-spake2/template
@@ -0,0 +1,19 @@
+# Template file for 'python3-spake2'
+pkgname=python3-spake2
+version=0.8
+revision=1
+archs=noarch
+wrksrc=python-spake2-${version}
+build_style=python3-module
+hostmakedepends="python3"
+depends="python3-hkdf"
+short_desc="Pure-python implementation of the SPAKE2 Password-Authenticated Key Exchange algorithm"
+maintainer="travankor <travankor@tuta.io>"
+license="MIT"
+homepage="https://github.com/warner/python-spake2"
+distfiles="https://github.com/warner/python-spake2/archive/v${version}.tar.gz"
+checksum=c96c1d9438ca7f738959690b0860473b5bf8f8b95884f78fd5af11d2e6db662f
+
+post-install() {
+	vlicense LICENSE
+}
diff --git a/srcpkgs/python3-txaio/template b/srcpkgs/python3-txaio/template
new file mode 100644
index 00000000000..5ca0aa5617c
--- /dev/null
+++ b/srcpkgs/python3-txaio/template
@@ -0,0 +1,18 @@
+# Template file for 'python3-txaio'
+pkgname=python3-txaio
+version=18.8.1
+revision=1
+archs=noarch
+wrksrc=txaio-${version}
+build_style=python3-module
+hostmakedepends="python3"
+short_desc="Utilities to support code that runs unmodified on Twisted and asyncio"
+maintainer="travankor <travankor@tuta.io>"
+license="MIT"
+homepage="https://github.com/crossbario/txaio"
+distfiles="https://pypi.io/packages/source/t/txaio/txaio-${version}.tar.gz"
+checksum=67e360ac73b12c52058219bb5f8b3ed4105d2636707a36a7cdafb56fe06db7fe
+
+post-install() {
+	vlicense LICENSE
+}
diff --git a/srcpkgs/python3-txtorcon/template b/srcpkgs/python3-txtorcon/template
new file mode 100644
index 00000000000..4ac40bdf82a
--- /dev/null
+++ b/srcpkgs/python3-txtorcon/template
@@ -0,0 +1,19 @@
+# Template file for 'python3-txtorcon'
+pkgname=python3-txtorcon
+version=19.0.0
+revision=1
+archs=noarch
+wrksrc=txtorcon-${version}
+build_style=python3-module
+hostmakedepends="python3"
+depends="python3-automat python3-Twisted"
+short_desc="Twisted-based asynchronous Tor control protocol implementation"
+maintainer="travankor <travankor@tuta.io>"
+license="MIT"
+homepage="https://txtorcon.readthedocs.io/en/latest/"
+distfiles="https://github.com/meejah/txtorcon/archive/v${version}.tar.gz"
+checksum=c0f303f8cb4fa5fbd3854cdf8ab40d998e1c2d633e72363dc0aa8dbf0e416fc4
+
+post-install() {
+	vlicense LICENSE
+}
